### Name: affy.subset
### Title: Subset of Affymetrix 500K frequency data
### Aliases: affy.subset
### Keywords: datasets

### ** Examples

data(affy.subset)
## Average frequencies for chromosome 1:
f <- apply(affy.subset[[1]][,-c(1,2)],2,mean)
print(f)

## Minor allele frequency for chromosome 1
maf1 <- pmin(affy.subset[[1]][,3], affy.subset[[1]][,4])
## Empirical cumulative distribution function
plot(ecdf(maf1), xlim=c(0,0.5))
## Some statistics
stat <- c(length(maf1), mean(maf1>0.01), mean(maf1>0.02), mean(maf1>0.05))



